Bug 23525 - ISBD view uses view policy of ACQ framework
Summary: ISBD view uses view policy of ACQ framework
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 19289
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-30 14:01 UTC by Fridolin SOMERS
Modified: 2019-10-28 12:39 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23525: (bug 19289 follow-up) Use biblio's framework not ACQ (1.08 KB, patch)
2019-10-14 07:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23525: (bug 19289 follow-up) Use biblio's framework not ACQ (1.14 KB, patch)
2019-10-14 20:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23525: (bug 19289 follow-up) Use biblio's framework not ACQ (1.19 KB, patch)
2019-10-25 12:36 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-08-30 14:01:18 UTC
In staff interface, ISBD view always uses view policy of ACQ framework.
This comes from a change from commit :
  Bug 19289: Use the ACQ framework to display bibliographic details


@@ -97,7 +97,7 @@ my $record_processor = Koha::RecordProcessor->new({
     filters => 'ViewPolicy',
     options => {
         interface => 'intranet',
-        frameworkcode => $framework
+        frameworkcode => 'ACQ'
     },

Is this a mistake ?
Comment 1 Katrin Fischer 2019-09-01 21:41:25 UTC
Yes, I think this should have no effect on the ISBD views in ACQ and/or catalog pages, it seems counter-intuitive.
Comment 2 Jonathan Druart 2019-10-14 07:55:12 UTC
Created attachment 94042 [details] [review]
Bug 23525: (bug 19289 follow-up) Use biblio's framework not ACQ

This patch restores the behavior prior to
  commit 84ce1fb5921cdddf2368f0c330dede0f602742d0
  Bug 19289: Use the ACQ framework to display bibliographic details

Test plan is hard to provide for such a simple and obvious change. I
would recommend you to read the previous commit and confirm that the
change did not make sense.
Comment 3 Katrin Fischer 2019-10-14 20:19:21 UTC
Created attachment 94102 [details] [review]
Bug 23525: (bug 19289 follow-up) Use biblio's framework not ACQ

This patch restores the behavior prior to
  commit 84ce1fb5921cdddf2368f0c330dede0f602742d0
  Bug 19289: Use the ACQ framework to display bibliographic details

Test plan is hard to provide for such a simple and obvious change. I
would recommend you to read the previous commit and confirm that the
change did not make sense.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-10-25 12:36:57 UTC
Created attachment 94751 [details] [review]
Bug 23525: (bug 19289 follow-up) Use biblio's framework not ACQ

This patch restores the behavior prior to
  commit 84ce1fb5921cdddf2368f0c330dede0f602742d0
  Bug 19289: Use the ACQ framework to display bibliographic details

Test plan is hard to provide for such a simple and obvious change. I
would recommend you to read the previous commit and confirm that the
change did not make sense.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Martin Renvoize 2019-10-28 12:39:10 UTC
Nice work!

Pushed to master for 19.11.00